Bug 617768 - kbd needs bigger fonts for high resolution screens
Summary: kbd needs bigger fonts for high resolution screens
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kbd
Version: 15
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Vitezslav Crhonek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-23 21:45 UTC by Tom Horsley
Modified: 2011-12-13 14:31 UTC (History)
1 user (show)

Fixed In Version: kbd-1.15.3-4.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-13 14:31:27 UTC


Attachments (Terms of Use)
Scaled up version of latarcyrheb-sun16 (5.07 KB, application/octet-stream)
2010-07-23 21:49 UTC, Tom Horsley
no flags Details

Description Tom Horsley 2010-07-23 21:45:05 UTC
Description of problem:

Screens are getting bigger and higher resolution all the time, yet all the
bitmap fonts shipped with kbd have relatively small numbers of pixels per glyph.
Either the kernel video mode setting should pick a more appropriate mode
than "max resolution" when in console mode, or the kbd fonts need to come
in sizes with more pixels so they are big enough to see.


Version-Release number of selected component (if applicable):
kbd-1.15-9.fc12.x86_64

How reproducible:
All the time

Steps to Reproduce:
1. Boot runlevel 3 on high res monitor
2. squint a lot.
3.
  
Actual results:
Tiny fonts

Expected results:
Readable fonts

Additional info:

I used http://www.seasip.demon.co.uk/Unix/PSF/ to produce a 2X scaled
up version of one font to make my console characters big enough to see
(if a bit blocky).

Comment 1 Tom Horsley 2010-07-23 21:49:22 UTC
Created attachment 434073 [details]
Scaled up version of latarcyrheb-sun16

Here's the scaled up font I'm using on my system as an example.

Also see the mailing list thread:

http://lists.fedoraproject.org/pipermail/users/2010-July/378865.html

Comment 2 Bug Zapper 2011-06-01 13:06:13 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Tom Horsley 2011-06-01 13:18:52 UTC
Still a problem in fedora 15.

Comment 4 Vitezslav Crhonek 2011-12-13 14:31:27 UTC
Thanks for the scaled font, I added it to the kbd package in Rawhide.

The font is placed in /lib/kbd/consolefonts/latarcyrheb-sun32.psfu.gz and can be used by modifying /etc/sysconfig/i18n or directly via setfont command.

I think that's not necessary to scale other fonts for now, latarcyrheb is probably used by majority of users. But I'll do it for particular font when requested.


Note You need to log in before you can comment on or make changes to this bug.